﻿using System;
using System.Configuration;

namespace SamplePluginUsingOAuth
{
    public class AppSettings
    {
        public static bool AppSettingsKeyExists(String keyName)
        {
            if (keyName == null)
            {
                return false;
            }
            if (keyName.Length == 0)
            {
                return false;
            }
            return true;
        }

        public static string ItslPluginApplicationKey
        {
            get
            {
                if (AppSettingsKeyExists("itslPluginApplicationKey"))
                {
                    return ConfigurationManager.AppSettings["itslPluginApplicationKey"];
                }
                throw new Exception("Missing itslPluginApplicationKey from web.config");
            }
        }

        public static string ItslPluginSharedSecret
        {
            get
            {
                if (AppSettingsKeyExists("itslPluginSharedSecret"))
                {
                    return ConfigurationManager.AppSettings["itslPluginSharedSecret"];
                }
                throw new Exception("Missing itslPluginSharedSecret from web.config");
            }
        }

        public static int SignatureTimeoutInSeconds
        {
            get
            {
                if (AppSettingsKeyExists("SignatureTimeoutInSeconds"))
                {
                    return int.Parse(ConfigurationManager.AppSettings["SignatureTimeoutInSeconds"]);
                }
                return 35;
            }
        }

        public static string RestapiAppServiceUrl
        {
            get
            {
                if (AppSettingsKeyExists("restapiAppServiceUrl"))
                {
                    return ConfigurationManager.AppSettings["restapiAppServiceUrl"];
                }
                throw new Exception("Missing restapiAppServiceUrl from web.config");
            }
        }

        public static string RestapiPersonServiceUrl
        {
            get
            {
                if (AppSettingsKeyExists("restapiPersonServiceUrl"))
                {
                    return ConfigurationManager.AppSettings["restapiPersonServiceUrl"];
                }
                throw new Exception("Missing restapiPersonServiceUrl from web.config");
            }
        }
        
    }
}
